/*
 * authors.h
 *
 * Header file for author functions for the Quoteriser.
 *
 *       Created: 18th January, 1997
 * Last modified: 2nd March, 1997
 *
 * (C) 1997 Nicholas Paul Sheppard
 *
 * This file is distributed under the GNU General Public License. See the
 * file COPYING for details.
 */

#ifndef _QUOTERISER_AUTHORS_H
#define _QUOTERISER_AUTHORS_H

#include <gdbm.h>

typedef struct _AUTHORDB {
	GDBM_FILE	dbfInfo;
	GDBM_FILE	dbfDesc;
} AUTHORDB;

typedef struct _AUTHORINFO {
	char		szGivenName[50];
	char		szSurname[50];
	char		szBirthYear[10];
	char		szDeathYear[10];
} AUTHORINFO;

typedef struct _AUTHORSEARCH {
	AUTHORDB	*padb;
	char		szLastCode[20];
	char		szSearch[200];
} AUTHORSEARCH;

extern const char szAuthorExt[];

/* functions in adb.c */
void	AuthorNullifyDB(AUTHORDB *);
int	AuthorOpenDB(char *, AUTHORDB *);
void	AuthorReorganiseDB(AUTHORDB *);
void	AuthorCloseDB(AUTHORDB *);

/* functions in authors.c */
void	AuthorAddAuthor(AUTHORDB *, char *, AUTHORINFO *, char *);
int	AuthorGetAuthor(AUTHORDB *, char *, AUTHORINFO **, char **);
void	AuthorDeleteAuthor(AUTHORDB *, char *);
void	AuthorFreeAuthor(AUTHORINFO **, char **);

/* functions in asearch.c */
int	AuthorFullSearchInit(AUTHORDB *, AUTHORSEARCH *);
int	AuthorFullSearchNext(AUTHORSEARCH *);
int	AuthorDescSearchInit(AUTHORDB *, char *, AUTHORSEARCH *);
int	AuthorDescSearchNext(AUTHORSEARCH *);
int	AuthorNameSearchInit(AUTHORDB *, char *, AUTHORSEARCH *);
int	AuthorNameSearchNext(AUTHORSEARCH *);

#endif
