/*
 * html.h
 *
 * Header file for HTML parsing functions.
 *
 *       Created: 4th March, 1997
 * Last modified: 6th March, 1997
 *
 * (C) 1997 Nicholas Paul Sheppard
 *
 * This file is distributed under the GNU General Public License. See the
 * file COPYING for details.
 */

#ifndef _QUOTERISER_HTML_H
#define _QUOTERISER_HTML_H


/* types of chunks we can return */
#define HTML_WORD_END		0
#define HTML_WORD_MID		1
#define HTML_TAG_END		2
#define HTML_TAG_MID   	3
#define HTML_MACRO_END		4
#define HTML_MACRO_MID		5
#define HTML_END		6

/* tag translations */
#define HTML_UNKNOWN		0
#define HTML_PARAGRAPH		1
#define HTML_ITALICS_START	2
#define HTML_ITALICS_END	3
#define HTML_BOLD_START	4
#define HTML_BOLD_END		5
#define HTML_LINEBREAK 	6

int HTMLGetNextChunk(char *, char *, char **);
int HTMLParseTag(char *);
int HTMLParseMacro(char *);

#endif
