/*
 * quoterpm.h
 *
 * Header file containing PM definitions for the Quoteriser's main
 * program.
 *
 *       Created: 18th January, 1997
 * Last modified: 9th April, 1997
 *
 * (C) 1997 Nicholas Paul Sheppard
 *
 * This file is distributed under the GNU General Public License. See the
 * file COPYING for details.
 */


#ifndef _QUOTERISER_QUOTERPM_H
#define _QUOTERISER_QUOTERPM_H

/* icon */
#define IDI_ICON		1

/* menu */
#define IDM_MAIN		2
#define IDM_FILE		20
#define IDM_OPEN_QUOTES	200
#define IDM_OPEN_AUTHORS	201
#define IDM_REORG_QUOTES	202
#define IDM_REORG_AUTHORS	203
#define IDM_CLOSE_QUOTES	204
#define IDM_CLOSE_AUTHORS	205
#define IDM_SETTINGS		206
#define IDM_EXIT		209
#define IDM_AUTHORS		21
#define IDM_ADD_AUTHOR		210
#define IDM_GET_AUTHOR		211
#define IDM_GET_AUTHOR_ALL	2110
#define IDM_GET_AUTHOR_DESC	2111
#define IDM_GET_AUTHOR_NAME	2112
#define IDM_DEL_AUTHOR		212
#define IDM_EDIT_AUTHOR	213
#define IDM_QUOTES		22
#define IDM_ADD_QUOTE		220
#define IDM_GET_QUOTE		221
#define IDM_GET_QUOTE_ALL	2210
#define IDM_GET_QUOTE_KEY	2211
#define IDM_GET_QUOTE_TEXT	2212
#define IDM_GET_QUOTE_NAME	2213
#define IDM_DEL_QUOTE		222
#define IDM_EDIT_QUOTE		223
#define IDM_QOTD		23
#define IDM_HELP		29
#define IDM_GENHELP		290
#define IDM_LICENSE		298
#define IDM_ABOUT		299

/* strings */
#define IDS_APPNAME		3000
#define IDS_OPENFAILED		3001
#define IDS_SPAWNFAILED	3002
#define IDS_NOMEM		3003
#define IDS_THREADFAILED	3004
#define IDS_SEARCHING		3005

/* intro dialogue box */
#define IDD_INTRO		40
#define IDL_INTRO_NAME		4001
#define IDL_INTRO_COPYRIGHT	4002
#define IDL_INTRO_DECLARATION	4003
#define IDL_INTRO_LICENSE	4004
#define IDC_INTRO_OKAY		4005

/* about dialogue box */
#define IDD_ABOUT		41
#define IDL_ABOUT_NAME		4100
#define IDL_ABOUT_VERSION	4101
#define IDL_ABOUT_COPYRIGHT	4102
#define IDC_ABOUT_OKAY		4103

/* settings dialogue box */
#define IDD_SETTINGS		42
#define IDL_SET_EDITOR		4200
#define IDC_SET_EDITOR		4201
#define IDL_SET_EDPARAMS	4202
#define IDC_SET_EDPARAMS	4203
#define IDC_SET_OKAY		4204
#define IDC_SET_DEFAULT	4205
#define IDC_SET_CANCEL		4206

/* edit quote dialogue box */
#define IDD_EDITQUOTE		43
#define IDL_EDITQ_CODE		4300
#define IDC_EDITQ_CODE		4301
#define IDL_EDITQ_SOURCE	4302
#define IDC_EDITQ_SOURCE	4303
#define IDL_EDITQ_ACODE	4304
#define IDC_EDITQ_ACODE	4305
#define IDL_EDITQ_KEYWORDS	4306
#define IDC_EDITQ_KEYWORDS	4307
#define IDC_EDITQ_TEXT		4308
#define IDC_EDITQ_OKAY		4309
#define IDC_EDITQ_CANCEL	4310

/* edit author dialogue box */
#define IDD_EDITAUTHOR		44
#define IDL_EDITA_CODE		4400
#define IDC_EDITA_CODE		4401
#define IDL_EDITA_SURNAME	4402
#define IDC_EDITA_SURNAME	4403
#define IDL_EDITA_GNAME	4404
#define IDC_EDITA_GNAME	4405
#define IDL_EDITA_BORN		4406
#define IDC_EDITA_BORN		4407
#define IDL_EDITA_DIED		4408
#define IDC_EDITA_DIED		4409
#define IDC_EDITA_DESC		4410
#define IDC_EDITA_OKAY		4411
#define IDC_EDITA_CANCEL	4412

/* choose code dialogue box */
#define IDD_CHOOSECODE		45
#define IDL_CODE_CODE		4501
#define IDC_CODE_CODE		4502
#define IDC_CODE_OKAY		4503
#define IDC_CODE_CANCEL	4504

/* get text dialogue box */
#define IDD_GETTEXT		46
#define IDL_GETTEXT_TEXT	4600
#define IDC_GETTEXT_TEXT	4601
#define IDC_GETTEXT_OKAY	4602
#define IDC_GETTEXT_CANCEL	4603

/* quote-of-the-day dialogue box */
#define IDD_QOTD		47
#define IDL_QOTD_QDB		4700
#define IDC_QOTD_QDB		4701
#define IDC_QOTD_QDB_BROWSE	4702
#define IDL_QOTD_ADB		4703
#define IDC_QOTD_ADB		4704
#define IDC_QOTD_ADB_BROWSE	4705
#define IDC_QOTD_OKAY		4706
#define IDC_QOTD_CANCEL	4707

/* fonts */
#define IDF_NORMAL		50
#define IDF_ITALIC		51
#define IDF_BOLD		52
#define IDF_BOLDITALIC		53

/* timers */
#define IDT_INTRO		60


#endif
