/*
 * quotes.h
 *
 * Header file for quotes functions for the Quoteriser.
 *
 *       Created: 18th January, 1997
 * Last modified: 20th March, 1997
 *
 * (C) 1997 Nicholas Paul Sheppard
 *
 * This file is distributed under the GNU General Public License. See the
 * file COPYING for details.
 */

#ifndef _QUOTERISER_QUOTES_H
#define _QUOTERISER_QUOTES_H

#include <gdbm.h>

typedef struct _QUOTEDB {
	GDBM_FILE	dbfInfo;
	GDBM_FILE	dbfText;
} QUOTEDB;

typedef struct _QUOTEINFO {
	char		szAuthorCode[20];
	char		szSource[100];
	char		aszKeyword[5][20];
} QUOTEINFO;

typedef struct _QUOTESEARCH {
	QUOTEDB		*pqdb;
	char		szLastCode[20];
	char		szSearch[200];
} QUOTESEARCH;

extern const char szQuoteExt[];

/* functions contained in qdb.c */
void	QuoteNullifyDB(QUOTEDB *);
int	QuoteOpenDB(char *, QUOTEDB *);
void	QuoteReorganiseDB(QUOTEDB *);
void	QuoteCloseDB(QUOTEDB *);

/* functions contained in quotes.c */
void	QuoteAddQuote(QUOTEDB *, char *, QUOTEINFO *, char *);
int	QuoteGetQuote(QUOTEDB *, char *, QUOTEINFO **, char **);
void	QuoteDeleteQuote(QUOTEDB *, char *);
void	QuoteFreeQuote(QUOTEINFO **, char **);

/* functions contained in qsearch.c */
int	QuoteFullSearchInit(QUOTEDB *, QUOTESEARCH *);
int	QuoteFullSearchNext(QUOTESEARCH *);
int	QuoteKeySearchInit(QUOTEDB *, char *, QUOTESEARCH *);
int	QuoteKeySearchNext(QUOTESEARCH *);
int	QuoteTextSearchInit(QUOTEDB *, char *, QUOTESEARCH *);
int	QuoteTextSearchNext(QUOTESEARCH *);
int	QuoteAuthorSearchInit(QUOTEDB *, char *, QUOTESEARCH *);
int	QuoteAuthorSearchNext(QUOTESEARCH *);

#endif
