/*
 * threads.h
 *
 * Header file for threads called to carrying out work for PM windows.
 *
 *       Created: 27th January, 1997
 * Last modified: 31st March, 1997
 *
 * (C) 1997 Nicholas Paul Sheppard
 *
 * This file is distributed under the GNU General Public License. See the
 * file COPYING for details.
 */

#ifndef _QUOTERISER_THREADS_H
#define _QUOTERISER_THREADS_H

#define INCL_WIN
#include <os2.h>
#include "types.h"

#define QM_DONE	WM_USER
#define QM_FOUND	(WM_USER + 1)
#define QM_PAINT	(WM_USER + 2)

#define THREADSTACK	32768

/* window handles to threads */
extern HWND hwndPaint;

/* type for thread procedures */
typedef void 			(*THREADPROC)(void *);

/* type to pass to thread procedures */
typedef struct _THREADINFO {
	HWND		hwndCaller;
	void		*pData;
	PROGSTATE	*pps;
} THREADINFO;

/* threads in qthreads.c */
void ThreadFindAllQuotes(THREADINFO *);
void ThreadFindKeywords(THREADINFO *);
void ThreadFindQuoteText(THREADINFO *);
void ThreadFindAuthorsQuotes(THREADINFO *);
void ThreadFindRandomQuote(THREADINFO *);

/* threads in athreads.c */
void ThreadFindAllAuthors(THREADINFO *);
void ThreadFindDescription(THREADINFO *);
void ThreadFindAuthorName(THREADINFO *);

/* threads in paint.c */
void ThreadPaint(THREADINFO *);

#endif
