/*
 * types.h
 *
 * Type definitions for use in the Quoteriser's GUI interface.
 *
 *       Created: 25th January, 1997
 * Last modified: 9th April, 1997
 *
 * (C) 1997 Nicholas Paul Sheppard
 *
 * This file is distributed under the GNU General Public License. See the
 * file COPYING for details.
 */

#ifndef _QUOTERISER_TYPES_H
#define _QUOTERISER_TYPES_H

#include "quotes.h"
#include "authors.h"


/* modes the program can be in */
#define Q_NONE		0
#define Q_QUOTE	1
#define Q_AUTHOR	2
#define Q_SEARCHING	3


/* types of searches that can be performed */
#define Q_FULL		0
#define Q_KEY		1
#define Q_TEXT		2
#define Q_NAME		3


/* type to contain program settings */
typedef struct _PROFILE {
	char	szEditor[15];
	char	szEditorParams[20];
} PROFILE;


/* type to contain the current program state */
typedef struct _PROGSTATE {
	int		iMode;
	AUTHORDB	adb;
	char		szAuthorCode[20];
	AUTHORINFO	*pai;
	char		*pszDesc;
	QUOTEDB		qdb;
	char		szQuoteCode[20];
	QUOTEINFO	*pqi;
	char		*pszText;
} PROGSTATE;


/* type to contain search information */
typedef struct _SEARCHINFO {
	int		iType;
	char		*pszString;
} SEARCHINFO;

#endif
